<template>
    <div class="modal" :class="{'is-active': showModal}">
        <div class="modal-background"></div>
        <div class="modal-card">
            <header class="modal-card-head">
            <p class="modal-card-title">Opções de Frete para sua Região</p>
            <button @click="$emit('close')" class="delete" aria-label="close"></button>
            </header>
            <section class="modal-card-body">
                <div v-if="fretes">
                    <table>
                        <thead>
                            <tr>
                                <th>frete</th>
                                <th>prazo</th>
                                <th>valor</th>
                            </tr>
                        </thead>
                        <tbody>
                            
                                <tr v-for="frete in fretes" :key="frete.Codigo">
                                    <td>
                                        <span v-if="frete.service.Codigo === '04510'">PAC</span>
                                        <span v-else>SEDEX</span>
                                    </td>
                                    <td>{{ frete.service.PrazoEntrega }} dias</td>
                                    <td>R$ {{ frete.service.Valor }}</td>
                                </tr>
                            
                        </tbody>
                    </table>
                </div>
                <div v-else>
                    {{ message }}
                </div>
            </section>
            <footer class="modal-card-foot">
            <button class="button" @click="$emit('close')">Fechar</button>
            </footer>
        </div>
    </div>
</template>

<script>
import { mapGetters } from 'vuex'
export default {
    name: 'frete-modal',
    data(){
        return {
            message: 'Nenhuma opção de frete disponível'
        }
    },

    props: {
        showModal: {
            required: true,
            type: Boolean
        }
    },

    computed: {
        ...mapGetters({
            fretes: 'correios/service'
        })
    }
}
</script>
<style scoped>
    table {
        border-collapse: collapse;
        border-spacing: 0;
        width: 100%;
    }

    table th, tr td {
        padding: 0.25rem;
        text-align: center;
        border-bottom: 2px solid #ccc;
    }
    td:nth-child(1){
        width: 12rem;
    }

    tbody tr:nth-child(odd) {
        background: #eee;
    }
</style>